<template>
    <div>
        <p>ComponentB</p>
        <p>{{ username }}</p>
        <p>{{ password }}</p>
        <component-c/>
    </div>
</template>

<script>
import ComponentC from './ComponentC.vue';
    export default {
        name: 'ComponentB',
        inject: ['username','password'],
        components:{
            ComponentC,
        },
    }
</script>